// ------------------------------------------
// Projet interdisciplinaire SI : Serre
// Capteur : humidité terre
// Arduino : Uno
// Date : 3/2019
// Fichier : moisture.ino
// ------------------------------------------
#include <math.h>
#include <stdio.h>

// Variables
// remarque : float codé sur 4 octets
float k = 776;
int N = 0; // image de l'humidité

void setup()
{
    Serial.begin(9600);
}

void loop()
{
    // Lire
    N = analogRead(A0);
    // Traiter
    float RH = 20 - 25 * log(1 - N / k); // RH=f(N)
    // Ecrire
    Serial.print("RH");
    Serial.print(N);
    Serial.print("=");
    Serial.print(RH);
    Serial.print("\n");
    delay(2000);
}